%define _unpackaged_files_terminate_build 1
%define pypi_name fakeredis
%define mod_name %pypi_name

Name: python3-module-%pypi_name
Version: 2.30.1
Release: alt1
Summary: Fake implementation of redis API for testing purposes
License: BSD
Group: Development/Python3
Url: https://pypi.org/project/fakeredis/
Vcs: https://github.com/cunla/fakeredis-py
BuildArch: noarch
Source: %name-%version.tar
Source1: %pyproject_deps_config_name
Patch0: %name-%version-alt.patch
%pyproject_runtimedeps_metadata
BuildRequires(pre): rpm-build-pyproject
%pyproject_builddeps_build

%description
fakeredis is a pure-Python implementation of the redis-py python client that
simulates talking to a redis server. This was created for a single purpose: to
write unittests. Setting up redis is not hard, but many times you want to write
unittests that do not talk to an external server (such as redis). This module
now allows tests to simply use this module as a reasonable substitute for
redis.

%prep
%setup
%autopatch -p1
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install
# deduplicate packaging of common license
rm %buildroot%python3_sitelibdir/%mod_name/LICENSE

%check
# requires redis for most tests

%files
%doc README.*
%python3_sitelibdir/%mod_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
* Wed Jul 02 2025 Stanislav Levin <slev@altlinux.org> 2.30.1-alt1
- 2.30.0 -> 2.30.1.

* Tue Jun 17 2025 Stanislav Levin <slev@altlinux.org> 2.30.0-alt1
- 2.18.0 -> 2.30.0.

* Tue Aug 15 2023 Stanislav Levin <slev@altlinux.org> 2.18.0-alt1
- 2.14.1 -> 2.18.0.

* Fri Jun 09 2023 Stanislav Levin <slev@altlinux.org> 2.14.1-alt1
- 2.13.0 -> 2.14.1.

* Mon May 22 2023 Stanislav Levin <slev@altlinux.org> 2.13.0-alt1
- 2.12.1 -> 2.13.0.

* Fri May 12 2023 Stanislav Levin <slev@altlinux.org> 2.12.1-alt1
- 1.4.3 -> 2.12.1.

* Thu Oct 15 2020 Stanislav Levin <slev@altlinux.org> 1.4.3-alt1
- Initial build for Sisyphus.
